Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals

# httpd.h File Reference

HTTP demon for embedded devices. More...

`#include "sys.h"`

Go to the source code of this file.

## Defines
#define | HTTP_SERVLETS 1
#define | SLERR_OK 0
#define | SLERR_FAIL -1
#define | SLERR_NEEDMEM -2
#define | SLERR_BADREQUEST -3
#define | SLERR_NOTFOUND -4
#define | SLERR_SERVER -5
#define | SLERR_CREATED -6
#define | SLERR_ACCEPTED -7
#define | SLERR_PARTIAL -8
#define | SLERR_FORBIDDEN -9
#define | SLERR_TOOLARGE -10
#define | SLERR_UNAVAILABLE -11
#define | SLERR_BUSY -12
#define | HSL_LINK_RAW 0x00000001
#define | HSL_LINK_SID 0x00000002
#define | HSL_LINK_QM 0x80000000
## Typedefs
typedef void * | SERVLET_t
typedef sint_t(* | SERVLETFUNC_t )(SERVLET_t slobj)
## Functions
sint_t | hsl_create (SERVLETFUNC_t func, const char *filename)
sint_t | hsl_destroy (SERVLETFUNC_t func)
char * | hsl_getParameterByName (SERVLET_t *slobj, const char *name)
char * | hsl_getOwnName (SERVLET_t *slobj)
sint_t | hsl_setStreamBufSize (SERVLET_t *slobj, u32_t bufsize)
sint_t | hsl_printf (SERVLET_t *slobj, const char *fmt,...)
void * | hsl_getSession (SERVLET_t *slobj)
void * | hsl_newSession (SERVLET_t *slobj, u32_t memsize, u32_t timeout)
sint_t | hsl_destroySession (SERVLET_t *slobj)
sint_t | hsl_formAddSessionId (SERVLET_t *slobj)
sint_t | hsl_linkCreate (SERVLET_t *slobj, const char *url, u32_t flags)
sint_t | hsl_linkAddStringVal (SERVLET_t *slobj, const char *name, const char *val)
sint_t | hsl_linkAddNumberVal (SERVLET_t *slobj, const char *name, u32_t val)
sint_t | hsl_linkInsert (SERVLET_t *slobj, const char *linktext)
sint_t | hsl_addSessionIdToForm (SERVLET_t *slobj)
sint_t | httpd_start (const char *rootDirectory, u32_t maxServletMem, u32_t maxSessionMem)
sint_t | httpd_stop (void)
sint_t | httpd_running (void)

## Detailed Description

Author:
  Dennis Kuschel

This software is from http://mycpu.mikrocontroller.net. Please send questions and bug reports to dennis_k@freenet.de.